#!/bin/bash


# Perform svn update to sure we are in sync with the Villagetelco subversion repository.

echo ""
echo "Syncing local repository..."
svn up


echo ""
echo "Updating feeds"

./scripts/feeds update

./scripts/feeds install -a 

echo ""
echo "Creating ./file/etc/banner"

echo "" > ./files/etc/banner
echo "+++++++++++++++++++++++++++++++++++++++++++++++++++"  >> ./files/etc/banner
echo "  Welcome to the" >> ./files/etc/banner
echo "        __  __          __   __  ___  __  ___  __  " >> ./files/etc/banner
echo "  |\/| |_  |__  |_| __ |__| |  |  |  |__|  |  |  | " >> ./files/etc/banner
echo "  |  | |__  __| | |    |    |__|  |  |  |  |  |__| " >> ./files/etc/banner
echo "" >> ./files/etc/banner
echo "                     O-----O" >> ./files/etc/banner
echo "           O        / \   / \         0" >> ./files/etc/banner
echo "          / \      /   \ /   \       / \ " >> ./files/etc/banner  
echo "     O---O   O----O     O     O-----O   O---O" >> ./files/etc/banner
echo "          \ /      \   / \   /       \ / " >> ./files/etc/banner
echo "           O        \ /   \ /         O" >> ./files/etc/banner
echo "                     O-----O " >> ./files/etc/banner
echo "" >> ./files/etc/banner
echo  "   Revision:"`svn info |grep Revision: | sed s/Revision\://` "--- powered by OpenWrt Kamikaze" >> ./files/etc/banner
echo "+++++++++++++++++++++++++++++++++++++++++++++++++++" >> ./files/etc/banner  
echo ""


echo ""
echo "Compiling image..."
echo ""
make V=99

echo ""
echo "Creating combined firmware image."
cd scripts
./make-combined-image.sh
cd ..

echo ""
echo "Done!"
