module divide18_tb;
reg        clk;
reg        load;
reg  [4:0] in;
wire       out;

initial begin
  $dumpfile ("divide18_tb.vcd");
  $dumpvars (1, my_divide18);

  $monitor ("clk=%b, load=%b, in=%b out=%b", clk, load, in, out);

  clk = 0; 
  load = 1; in = 4;
  #1 clk = 1;
  #1 clk = 0;
  load = 0; in = 0;

  repeat (18*3) begin
    #1  clk = 1;
    #1  clk = 0;  
  end

end

divide18 my_divide18(
.clk (clk),
.parallel_load (load),
.parallel_in (in),
.out (out)
);

endmodule

